Subject: Re: [quicwg/base-drafts] Fix congestion control permissiveness (#3248)

From: hardie <[email-masked]>
Date: Tue, 03 Dec 2019 10:38:12 -0800

Jana, can I read your reply to Ian as "I agree, but there are no MUSTs we want to include, since the SHOULDs is BCP145 are the best we can do"?  If so, maybe the right thing to do is close this issue with just the more precise pointer.  I do believe, however, it would then be better to recast the sentence to make the pronounce/antecedent clearer.  For example: 

If an endpoint uses a different controller than that specified in this document, the chosen controller MUST conform to the congestion control guidelines specified in Section 3.1 of
{{!RFC8085}}.

There are other ways to phrase it, of course.  That would alleviate my concern that a naive reader might believe that they could roll their own behavior; that's particularly worrying when the very first item in 3.1 allows this:  

  If an application or protocol chooses not to use a congestion-
   controlled transport protocol, it SHOULD control the rate at which it
   sends UDP datagrams to a destination host, in order to fulfill the
   requirements of [RFC2914].

It's all too easy to read that as allowing simple packet-pacing to suffice for QUIC here.  If the reader knows that they have to pick a known congestion controller, we'll be better off. 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3248#issuecomment-561299858

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 09 Dec 2019 17:56:02 -0800

@janaiyengar pushed 6 commits.

d97c226a9a2f6c147b3952b39a982cf55f12412b  Fix congestion control permissiveness
df57effc57901da028bd3c72a5b0d5b76ef84b02  remove pointless sentences
1de8eb4421ba5d48cf5fac71ee37bc1914e62df3  gorry comment
d8ad74521844f06a60f9f5fcb9cd4d133d6a0e9a  Update draft-ietf-quic-recovery.md
dc62871ae0d6585eb518c6d7e5d58434922f6b94  specify section 3.1
19063e44b6f29f1cad20f7c13179fc5e6e116638  Ted's suggestion

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/3248/files/4d3b036c1f473d5d6c875c7ff748b4f06121d582..19063e44b6f29f1cad20f7c13179fc5e6e116638

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 09 Dec 2019 17:57:14 -0800

Thanks, Ted, I take your point and your suggestion is a good one. I've reworded it as you suggested.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3248#issuecomment-563567277

---

From: ianswett <[email-masked]>
Date: Tue, 10 Dec 2019 14:27:08 -0800

ianswett approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3248#pullrequestreview-330188520

---

From: ianswett <[email-masked]>
Date: Tue, 10 Dec 2019 14:28:32 -0800

Thanks for the suggestion Ted.  To confirm, by citing the section you're normatively citing only that section, not the entire doc.  My concern is that 8085 is fairly long, and a good bit of it doesn't really pertain to QUIC.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3248#issuecomment-564288665